SavedRequest (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.catalina.authenticator, class: SavedRequest

# Class SavedRequest

java.lang.Object
org.apache.catalina.authenticator.SavedRequest

All Implemented Interfaces:
  `Serializable`

public final class SavedRequest extends Object implements Serializable
Object that saves the critical information from a request so that form-based authentication can reproduce it once the user has been authenticated.

IMPLEMENTATION NOTE - It is assumed that this object is accessed only from the context of a single thread, so no synchronization around internal collection classes is performed.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavedRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCookie(Cookie cookie)`
  `void`
  `addHeader(String name, String value)`
  `void`
  `addLocale(Locale locale)`
  `ByteChunk`
  `getBody()`
  `String`
  `getContentType()`
  `Iterator<Cookie>`
  `getCookies()`
  `String`
  `getDecodedRequestURI()`
  `Iterator<String>`
  `getHeaderNames()`
  `Iterator<String>`
  `getHeaderValues(String name)`
  `Iterator<Locale>`
  `getLocales()`
  `String`
  `getMethod()`
  `int`
  `getOriginalMaxInactiveInterval()`
  Deprecated.
  This method will be removed in Tomcat 12.0.x onwards.
  `Integer`
  `getOriginalMaxInactiveIntervalOptional()`
  `String`
  `getQueryString()`
  `String`
  `getRequestURI()`
  `void`
  `setBody(ByteChunk body)`
  `void`
  `setContentType(String contentType)`
  `void`
  `setDecodedRequestURI(String decodedRequestURI)`
  `void`
  `setMethod(String method)`
  `void`
  `setOriginalMaxInactiveInterval(int originalMaxInactiveInterval)`
  `void`
  `setQueryString(String queryString)`
  `void`
  `setRequestURI(String requestURI)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SavedRequest

    public SavedRequest()

- ## Method Details

  - ### addCookie

    public void addCookie(Cookie cookie)

  - ### getCookies

    public Iterator<Cookie> getCookies()

  - ### addHeader

    public void addHeader(String name, String value)

  - ### getHeaderNames

    public Iterator<String> getHeaderNames()

  - ### getHeaderValues

    public Iterator<String> getHeaderValues(String name)

  - ### addLocale

    public void addLocale(Locale locale)

  - ### getLocales

    public Iterator<Locale> getLocales()

  - ### getMethod

    public String getMethod()

  - ### setMethod

    public void setMethod(String method)

  - ### getQueryString

    public String getQueryString()

  - ### setQueryString

    public void setQueryString(String queryString)

  - ### getRequestURI

    public String getRequestURI()

  - ### setRequestURI

    public void setRequestURI(String requestURI)

  - ### getDecodedRequestURI

    public String getDecodedRequestURI()

  - ### setDecodedRequestURI

    public void setDecodedRequestURI(String decodedRequestURI)

  - ### getBody

    public ByteChunk getBody()

  - ### setBody

    public void setBody(ByteChunk body)

  - ### getContentType

    public String getContentType()

  - ### setContentType

    public void setContentType(String contentType)

  - ### getOriginalMaxInactiveIntervalOptional

    public Integer getOriginalMaxInactiveIntervalOptional()

  - ### getOriginalMaxInactiveInterval

    @Deprecated public int getOriginalMaxInactiveInterval()
    Deprecated.
    This method will be removed in Tomcat 12.0.x onwards. Use `getOriginalMaxInactiveIntervalOptional()`
    Obtain the original session maxInactiveInterval.
    Returns:
      the original session maxInactiveInterval

  - ### setOriginalMaxInactiveInterval

    public void setOriginalMaxInactiveInterval(int originalMaxInactiveInterval)